Docs

Get Department Roll Up Tasks

GET /Organizations/{orgId}/departments/{departmentId}/tasks

GET/Organizations/{orgId}/departments/{departmentId}/tasks

Lists the tasks of the organization's active events that are assigned to collaborators in one department, with the same shape as Organizations_GetRollUpTasks. The orgId comes from the Organization API's Users_GetOrganizations and the department id from its Organizations_GetDepartments; needs the organization basic access permission.

Path Parameters

FieldTypeRequiredDescription
orgIduuidRequired
departmentIduuidRequired

Response

Type: GetDepartmentTasksRollUpResponse[]

GetDepartmentTasksRollUpResponse

FieldTypeDescription
iduuid
eventIduuid
namestring| null
statusGetDepartmentTasksRollUpResponseSttus
startDateTimedate-time| null
endDateTimedate-time| null
descriptionstring| null
prioritystring| null
indexinteger
parentIduuid| null
phaseNamestring| null
assigneesGetDepartmentTasksRollUpResponseAssigneesList
reviewersGetDepartmentTasksRollUpResponseCrew[]| null
eventAttributesGetDepartmentTasksRollUpResponseEventAttr[]| null

GetDepartmentTasksRollUpResponseSttus

FieldTypeDescription
namestring| null
colorstring| null
statestring| null
organizationTaskStatusIduuid| null

GetDepartmentTasksRollUpResponseAssigneesList

FieldTypeDescription
crewMembersGetDepartmentTasksRollUpResponseCrew[]| null
collaboratorsGetDepartmentTasksRollUpResponseCollab[]| null
departmentsGetDepartmentTasksRollUpResponseDept[]| null

GetDepartmentTasksRollUpResponseCrew

FieldTypeDescription
iduuid
namestring| null
connectedUserIduuid| null
orgCorrelationIduuid| null

GetDepartmentTasksRollUpResponseEventAttr

FieldTypeDescription
attributeIduuid
valuestring| null

GetDepartmentTasksRollUpResponseCollab

FieldTypeDescription
iduuid
namestring| null
orgCorrelationIduuid| null

GetDepartmentTasksRollUpResponseDept

FieldTypeDescription
iduuid
namestring| null